agconnect_crash 1.0.0+200

Flutter Android iOS

A Flutter plugin for AGConnect Crash SDK.

agconnect_crash #

AppGallery Connect Crash provides lightweight crash analysis service and enables fast integration without coding, helping you quickly learn about the version quality, detect and resolve crash problems, and evaluate the problem impact.

Preparing the Environment #

Before integrating the agconnect_crash plugin, prepare your Flutter development environment.

Environment Requirements #

Android Studio 3.0 or later.

Configuration #

Before integrating the agconnect_crash plugin, you need to:

  1. If you do not have a HUAWEI Developer account, you need to register an account and pass identity verification.
  2. Use your account to sign in to AppGallery Connect, create an app, and set Package type to APK (Android app).
  3. Click the app you have just created, go to Develop > Quality > Crash.
  4. Download the agconnect-services.json file from AppGallery Connect and copy the JSON file to the android/app/src directory of your project.
  5. Use your account to sign in to AppGallery Connect, create an app, and set Package type to iOS.
  6. Click the app you have just created, go to Develop > Quality > Crash.
  7. Download the agconnect-services.plist file from AppGallery Connect and copy the PLIST file to the ios/Runner directory of your project.

LICENSE #

agconnect_crash plugin is licensed under the Apache License, version 2.0.

1
likes
75
pub points
20%
popularity

A Flutter plugin for AGConnect Crash SDK.

Homepage

Documentation

API reference

Uploader

opencapability@huawei.com

License

Apache 2.0 (LICENSE)

Dependencies

flutter

More

Packages that depend on agconnect_crash